tigase.jaxmpp.core.client.eventbus

## Class Event<H extends EventHandler>

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>

- Type Parameters:
    `H` - handler type.
  Direct Known Subclasses:
    JaxmppEvent

      public abstract class Event<H extends EventHandler>
      extends Object

  Base event object.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Event()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `dispatch(H handler)` Invokes handlers method.
    `Object` | `getSource()` Returns events source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          protected Event()

  - ### Method Detail

    - #### dispatch

          public abstract void dispatch(H handler)
                                 throws Exception

      Invokes handlers method.
      Parameters:
        `handler` - handler
      Throws:
        `Exception`

    - #### getSource

          public Object getSource()

      Returns events source.
      Returns:
        events source. May be `null`.

Copyright © 2006–2020 Tigase. All rights reserved.